import '@/assets/main.css'

import App from '@/App.vue'
import router from '@/plugins/router'
import i18n from '@/plugins/i18n'
import 'uno.css'
// import '@unocss/reset/normalize.css'
import browser from './utils/browser'
if (browser.isMobile()) {
  document.body.setAttribute('is-mobile', true)
  var script = document.createElement('script')
  script.src = '/static/js/flexible.js'
  // script.async = true // 设置为异步加载
  document.head.appendChild(script)
}
const app = createApp(App)

app.use(router)
app.use(i18n)

app.mount('#app')
